svn: command not found?

Hi-

Trying to install some plugins and I get the following:

/path_to_ruby/ruby-1.8.6-p111/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/
commands/plugin.rb:258: warning: Insecure world writable dir /
path_to_ruby/apps in PATH, mode 040777
sh: svn: command not found

What's going on here?

Thanks!

You need to install svn (subversion). If you do some Googling you will
find it for your platform.
Judging by the message you are running a Mac, and svn is not installed
on the Mac by default.

Mac Os X Leoapard comes with svn installed by default

Herman Jansen wrote:

I'm on RedHat Linux.

Doesn't svn come with any of the rails gems?

I think you'll have to install svn.
take a look at this:
http://svn.collab.net/repos/svn/trunk/INSTALL

and this:
http://subversion.tigris.org/

pete wrote: